onEvent('recipes', (event) => {

    const recipes = [
      {
        steps: [
          {
            ingredients: [
              {
                 item: 'emendatusenigmatica:silver_ingot'
              },
              {
                 item: 'emendatusenigmatica:silver_ingot'
              },
              {
                 item: 'emendatusenigmatica:silver_ingot'
              },
              {
                 item: 'emendatusenigmatica:silver_ingot'
              }
            ]
          },
          {
            stirs: 1,
            ingredients: [
              { item: 'kubejs:holy_symbol' }
            ]
          }
        ],
        result: '4x jaept:holy_ingot',
        id: 'eidolon:crimson_essence_roots'
      },
      {
        steps: [
          {
            ingredients: [
              {
                 tag: 'forge:chunks/iron'
              }
            ]
          },
          {
            stirs: 2,
            ingredients: [
              { item: 'eidolon:enchanted_ash' }
            ]
          }
        ],
        result: '2x mekanism:crystal_iron',
        id: 'eidolon:crimson_essence_vines'
      }
    ];

    recipes.forEach(recipe => {
      recipe.type = 'eidolon:crucible';
      recipe.result = Item.of(recipe.result).toResultJson();
      event.custom(recipe).id(recipe.id);
    });

    ores.forEach(ore => {
      var oreId = `forge:ores/${ore}`;
      var crystal = itemOf(`#mekanism:crystals/${ore}`);
      if(Item.exists(crystal) && ore!='iron'){
        event.custom({
          type: 'eidolon:crucible',
          steps: [
            {
              ingredients: [
                { tag: oreId }
              ]
            },
            {
              stirs: 2,
              ingredients: [
                { item: 'eidolon:enchanted_ash' }
              ]
            }
          ],
          result: Item.of(crystal,2).toResultJson()
        }).id(`eidolon:kubejs/crucible/${ore}_crystal`)
      }
    })
    
})